import socketio

sio = socketio.AsyncServer(
    async_mode='asgi',
    # cors_allowed_origins=','.join(config.ALLOW_ORIGIN)
)

@sio.event
def connect(sid, environ):
    print("connect ", sid, environ)

@sio.event
async def chat_message(sid, data):
    print("message ", data)
    await sio.emit('reply', room=sid)

@sio.event
def disconnect(sid):
    print('disconnect ', sid)
